/***************************************************************************
 *   Copyright (C) 2008-2009 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "configurationdialog.h"

#include <KLocale>

ConfigurationDialog::ConfigurationDialog(KConfigSkeleton *config)
	: KConfigDialog(0, "Preferences", config)
{
	// Add general options page
	m_configGeneralPage = new ConfigGeneral(this);
	this->addPage(m_configGeneralPage, i18n("General"), "configure");

	// Add appearance options page
	m_configAppearancePage = new ConfigAppearance(this);
	this->addPage(m_configAppearancePage, i18n("Appearance"), "preferences-desktop-theme");

	this->showButtonSeparator(true);

	// Connect dialog slots
	connect(m_configGeneralPage, SIGNAL(buttonShortcutsClicked()), this, SLOT(slotButtonShortcutsClicked()));
}


ConfigurationDialog::~ConfigurationDialog()
{
	delete m_configGeneralPage;
	delete m_configAppearancePage;
}


void ConfigurationDialog::slotButtonShortcutsClicked()
{
	emit shortcutsClicked();
}

#include "configurationdialog.moc"
