/***************************************************************************
 *   Copyright (C) 2008-2009 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef MIXER_H
#define MIXER_H

#include <QString>

class Mixer
{
public:
	Mixer(unsigned int index);
	~Mixer();

	QString name() const;

	unsigned int volume() const;
	unsigned int volumeUp();
	unsigned int volumeDown();
	unsigned int setVolume(int volume);

	bool isMuted() const;
	bool toggleMute();
	void setMute(bool mute);

	void setVolumeStep(unsigned int step);
	unsigned int smallestVolumeStep() const;

private:
	QString m_name;
	QString m_index;
	QString m_masterDeviceIndex;
	unsigned int m_volumeStep;
};

#endif // MIXER_H
